/*
 */
#ifndef FRAMECPP__FRAME_C_STREAM_H
#define FRAMECPP__FRAME_C_STREAM_H

#include "FrameC.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

  struct fr_file;
  typedef struct fr_file fr_file_t;

  typedef enum {
    FRAMEC_FILE_MODE_UNSET,
    FRAMEC_FILE_MODE_INPUT,
    FRAMEC_FILE_MODE_OUTPUT
  } fr_file_mode_t;
  
  fr_file_t *FrameCFileOpen( FrameCError** Error,
			     const char* Filename,
			     const fr_file_mode_t Mode );
  int FrameCFileClose( FrameCError** Error,
		       fr_file_t *Stream );

  int FrameCFileFree( FrameCError** Error,
		      fr_file_t *Stream );

  int FrameCFrameLibrary( FrameCError** Error,
			  fr_file_t *Stream );

  int FrameCFrameLibraryVersion( FrameCError** Error,
				 fr_file_t *Stream );

  int FrameCFrameLibraryVersionMinor( FrameCError** Error,
				      fr_file_t *Stream );
#if WORKING
  int FrameCFileCksumValid( FrameCError** Error,
			    fr_file_t *Stream );
  int FrameCFileIGWDVersion( FrameCError** Error,
			     fr_file_t *Stream );
#endif /* WORKING */

#ifdef __cplusplus
} /* extern "C" */
#endif /* __cplusplus */

#endif /* FRAMECPP__FRAME_C_STREAM_H */
